#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	DockApp Making Standard Library
Summary(pl.UTF-8):	Biblioteka do tworzenia dokowalnych aplikacji
Summary(pt_BR.UTF-8):	Biblioteca para desenvolver aplicativos dock
Name:		libdockapp
Version:	0.6.2
Release:	2
License:	BSD
Group:		X11/Libraries
Source0:	http://solfertje.student.utwente.nl/~dalroi/libdockapp/files/%{name}-%{version}.tar.bz2
# Source0-md5:	05a9a5f295d956397e6bb53bad3a0322
Patch0:		%{name}-Makefile.patch
URL:		http://solfertje.student.utwente.nl/~dalroi/libdockapp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-proto-xextproto-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docklib

%description
DockApp Making Standard Library.

%description -l pl.UTF-8
Standardowa biblioteka do tworzenia dokowalnych aplikacji.

%description -l pt_BR.UTF-8
Esta biblioteca provê um início básico para o desenvolvimento de
aplicativos dock.

%package devel
Summary:	Header files etc to develop DockApps
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do tworzenia dokowalnych aplikacji
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para a libdockapp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXpm-devel

%description devel
Header files etc to develop DockApps.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne niezbędne do tworzenia dokowalnych aplikacji w
oparciu o tę bibliotekę.

%description devel -l pt_BR.UTF-8
Arquivo de cabeçalho e bibliotecas de desenvolvimento para a
libdockapp

%package static
Summary:	Static libdockapp library
Summary(pl.UTF-8):	Biblioteka statyczna libdockapp
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libdockapp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdockapp library.

%description static -l pl.UTF-8
Biblioteka statyczna libdockapp.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libdockapp

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf examples/[br]* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
fontpostinst misc

%postun
/sbin/ldconfig
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_fontsdir}/misc/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_examplesdir}/%name-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdockapp.a
%endif
%changelog
* Mon Oct 08 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdockapp.git;a=log;h=master

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> fd71ea4
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 9d07cea
- dropped pre-cvs changelog

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> c62a29a
- updated to 0.6.2

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1904691
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c551329
- release 4

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> d34ad51
- added missing #

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5bed972
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6566203
- converted to UTF-8

* Wed Aug 23 2006 Jakub Bogusz <qboosh@pld-linux.org> fc3da58
- strict internal deps

* Wed Aug 23 2006 havner <havner@pld-linux.org> 76ddaf9
- argh

* Wed Aug 23 2006 havner <havner@pld-linux.org> 949904e
- modular xorg deps
- rel 2

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 7d2a429
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> e316fae
- added bcond_without static_libs

* Sun Jan 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 147f90c
- fixed post/postun

* Sat Jan 10 2004 yogib <yogib@pld-linux.org> 2aa4712
- install patch for libdockapp

* Sat Jan 10 2004 yogib <yogib@pld-linux.org> b2a879d
- up to 0.5.0
- new URL
- added: fonts, examples, install patch

* Tue Sep 02 2003 Jakub Bogusz <qboosh@pld-linux.org> a6c9516
- -devel R: XFree86-devel

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1ad7bcc
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7eea26d
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> d304d4b
- removed two lines with define

